/* 
* -cr_beg-
* ********************************************************************
* IBM Confidential
* OCO Source Materials
* 5724-U38, 5724-U39, 5724-U48, 5655-V17, 5655-V19, 5655-V35, 5655-V37
* (C) Copyright IBM Corp. 2011
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has
* been deposited with the U.S. Copyright Office.
* ********************************************************************
* -cr_end-
*/ 
/*----------------------------------------------------------------------------
File Name:  ODPPDataTypesH.h

Purpose:    Declares for the data types supported by individual providers. Used  
            by individual providers like ccn, nid etc. to validate the input 
            datatype.
             
Functions:

   Name              Purpose

Structures:

   Name              Purpose

Author:
   Ritesh Tandon     IBM ISL 29/Dec/2009
----------------------------------------------------------------------------*/
#ifndef __ODPPDATATYPESH__
#define __ODPPDATATYPESH__

/* ODPP Data Types */
/* Database internal data types will be converted to ODPP data types before 
   use by ODPP */

#define ODPPDATATYPE_CHAR              1   /* Fixed size char, left justified
                                          and space padded               */

#define ODPPDATATYPE_VARCHAR           2   /* short length field followed
                                          by character data              */

#define ODPPDATATYPE_VARCHAR_SZ        3   /* Null terminated character data */

#define ODPPDATATYPE_WCHAR             4   /* Fixed size wide char, left justified
                                          and space padded               */

#define ODPPDATATYPE_WVARCHAR          5   /* short length field followed
                                          by wide character data              */

#define ODPPDATATYPE_WVARCHAR_SZ       6   /* NULL terminated wide character data */

#define ODPPDATATYPE_LONG_LONG         7  /* 8  byte signed numeric value */

#define ODPPDATATYPE_U_LONG_LONG       8  /* 8  byte unsigned numeric value */

#define ODPPDATATYPE_INTEGER           9  /* 4  byte signed integer value */

#define ODPPDATATYPE_U_INTEGER         10  /* 4  byte unsigned integer value */

#define ODPPDATATYPE_DECIMAL_370       13  

#define ODPPDATATYPE_ODBC_DATE         14

#define ODPPDATATYPE_ODBC_TIME         15

#define ODPPDATATYPE_ODBC_TIMESTAMP    16

#define ODPPDATATYPE_DATETIME_SZ       17

#define ODPPDATATYPE_DATETIME_WSZ      18

#define ODPPDATATYPE_DOUBLE            19

#define ODPPDATATYPE_FLOAT             20

#define ODPPDATATYPE_SMALLINT          21

#define ODPPDATATYPE_USMALLINT         22

#define ODPPDATATYPE_TINYINT           23

#define ODPPDATATYPE_UTINYINT          24

#define ODPPDATATYPE_DATETIME_CHAR     25

#define ODPPDATATYPE_DATETIME_VARCHAR  26

#define ODPPDATATYPE_DATETIME_WCHAR    27

#define ODPPDATATYPE_DATETIME_WVARCHAR 28

/* Database specific data types */

/* ORACLE */
#define ODPPDATATYPE_ORA_VARNUM        101

/* DB2 */
#define ODPPDATATYPE_GRAPHIC           111
#define ODPPDATATYPE_VARGRAPHIC        112

/* INFORMIX */

/* SQL SERVER */

#endif /*__ODPPDATATYPESH__*/
